Bug 343881 - gnome-system-monitor crashes when I click Processes
gnome-system-monitor crashes when I click Processes
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: libwnck (Show other bugs)
rawhide
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-10-20 11:43 EDT by Daniel Wilcox
Modified: 2014-06-18 05:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-22 12:59:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
my x.org log (22.65 KB, text/plain)
2007-10-21 22:47 EDT, Daniel Wilcox
no flags Details

  None (edit)
Description Daniel Wilcox 2007-10-20 11:43:40 EDT
Description of problem:
When I click on the Processes tab, the g-s-m exits without warning instead of
displaying the processes.  If I run it from the command line, I get the
following text message when I click on Processes: 'Xlib:  extension "X-Resource"
missing on display ":0.0".'  It still exits without warning.


Version-Release number of selected component (if applicable):
g-s-m 2.20.1


How reproducible:
Always


Steps to Reproduce:
1. Open gnome-system-monitor
2. Click on Processes

  
Actual results:
Unexpected exit of the application


Expected results:
Display of the running processes


Additional info:
My motherboard is ASUS M2NPV-VM
My processor is AMD Sempron 2800+, socket AM2
My RAM is Corsair ValueSelect, 1GB DDR2 6700
My kernel is 2.6.23.1-23.fc8
if there is anything else you need to know, go ahead and ask me.

Thank you so much.
Comment 1 Matthias Clasen 2007-10-20 21:53:00 EDT
Which X server are you using ? Can you attach your /var/log/Xorg.0.log ?
Comment 2 Daniel Wilcox 2007-10-21 22:47:25 EDT
Created attachment 233711 [details]
my x.org log

here it is, as requested.
Comment 3 Matthias Clasen 2007-10-22 10:57:39 EDT
Reproduced, by turning off X-Resource in xorg.conf with

Section "Extensions"
        Option "X-Resource" "off"
EndSection

Here is a stacktrace, which points at libwnck


#0  0x061d1d8e in wnck_pid_read_resource_usage_fill_cache (state=0x61eed18)
    at util.c:404
#1  0x00cbe541 in g_idle_dispatch (source=0x92b4ce0, 
    callback=0x61eed18 <xres_state>, user_data=0x61eed18) at gmain.c:4132
#2  0x00cc010c in IA__g_main_context_dispatch (context=0x8ef9e10)
    at gmain.c:2061
#3  0x00cc354f in g_main_context_iterate (context=0x8ef9e10, block=1, 
    dispatch=1, self=0x8ee6b80) at gmain.c:2694
#4  0x00cc38f9 in IA__g_main_loop_run (loop=0x92b3020) at gmain.c:2898
#5  0x00675ae4 in IA__gtk_main () at gtkmain.c:1146
#6  0x0648e667 in Gtk::Main::run_impl () from /usr/lib/libgtkmm-2.4.so.1
#7  0x0648e452 in Gtk::Main::run () from /usr/lib/libgtkmm-2.4.so.1
#8  0x080527cb in main (argc=153623528, argv=0x1) at procman.cpp:740
#9  0x00aec390 in __libc_start_main (main=0x8051be0 <main>, argc=1, 
    ubp_av=0xbfd61ce4, init=0x8070e90 <__libc_csu_init>,
    fini=0x8070e80 <__libc_csu_fini>, rtld_fini=0xac5940 <_dl_fini>,
    stack_end=0xbfd61cdc) at libc-start.c:220
#10 0x08050821 in _start ()
Comment 4 Matthias Clasen 2007-10-22 12:59:02 EDT
Building a fix in libwnck-2.20.1-2.fc8 

Note You need to log in before you can comment on or make changes to this bug.